# assign

Assigns the value of the source to the destination typeobject.

          typedef void* TypeInstanceID;

    	void assign
    	TypeInstanceID destination
    	TypeInstanceID source

## Arguments

`destination`

  The value of this type instance will be changed to the value of `source`.

`source`

  The value of this type instance is assigned to the `destination` instance. The value of `source` stays unchanged.

## Description

`source` and `destination` are identifier for two type objects of the same type as the typeclass. After a call to this function the value of the source object stays unchanged and the value of destination is changed to the one of source. It is the callers task to ensure that both instances and the `assign` function have the same type.